<?php

class Promocao extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Cadastro_Model');
        $this->load->model('Login', 'login');
        $this->load->model('Historico_Model', 'historico');
        $this->load->library('Criptografia');
        $this->load->database();
    }

    public function promocao_amazonia25() {
        $cursos = $this->historico->getCursoHistorico($id_aluno = $_SESSION['aluno']['id_aluno']);
        $total = 0;
        $resp = [];
        foreach ($cursos as $curso) {
            if (($curso->concluido == 0 && $curso->certificado == 0) || ($curso->concluido == 1 && $curso->certificado == 0)) {
                $total = $total + 1;
                $resp[] = $curso;
            }
        }
        
        if ($total >= 3) {
        $this->cart->destroy();
        $this->session->unset_userdata('executado');   
        }

        if (isset($_SESSION['executado'])) {
            
        } else {
            if ($total >= 3) {
                foreach ($resp as $value) {
                    $calc = $value->carga_horaria * 0.70;
                    $dado = [
                        'id' => $this->criptografia->codifica($value->id_curso),
                        'descricao' => $this->criptografia->codifica($value->nome),
                        'preco' => $this->criptografia->codifica($calc),
                        'cargahoraria' => $this->criptografia->codifica($value->carga_horaria),
                        'h' => $this->criptografia->codifica($value->id_historico),
                        'promo' => 1
                    ];
                    $this->insereCarrinho($dado);
                }
                $this->session->set_userdata("executado", 1);
                
            } else {
                redirect('home');
            }
        }

       redirect('carrinho');
    }

    public function insereCarrinho($dados) {
                
        $id = $this->criptografia->decodifica($dados['id']);
        $nome_disciplina = $this->criptografia->decodifica($dados["descricao"]);
        $preco = $this->criptografia->decodifica($dados["preco"]);
        $valor = str_replace(",", ".", $preco);
        $cargahoraria = $this->criptografia->decodifica($dados["cargahoraria"]);
        $id_historico = $this->criptografia->decodifica($dados["h"]);

        //A biblioteca do carrinho de compras já está carregada lá pelo autoload, então não preciso chamá-la aqui novamente.
        // Esta linha serve para permitir que produtos com acentuação no nome sejam aceitos.
        $this->cart->product_name_rules = "'\d\D'";

        $data = array('id' => $id, 'qty' => 1, 'price' => $valor, 'name' => $nome_disciplina, 'cargahoraria' => $cargahoraria, 'id_historico' => $id_historico);
      
        $this->cart->insert($data);
        // SE O ITEM NÃO ESTIVER NO CARRINHO EU INSIRO NO CARRINHO
        
    }
    
    function remove($rowid) {
        if (isset($_SESSION['aluno']) == FALSE) {
            redirect();
        } else {
            if ($rowid === "all") {
                $this->cart->destroy();
            } else {

                $data = array(
                    'rowid' => $rowid,
                    'qty' => 0
                );

                $this->cart->update($data);
            }
            redirect('promo25');
        }
    }
}
